HttpBuildCacheCredentials (Gradle API 4.7)
Date: 2018-04-18

org.gradle.caching.http

## Class HttpBuildCacheCredentials

- java.lang.Object
- - org.gradle.caching.http.HttpBuildCacheCredentials

- All Implemented Interfaces:
    Credentials, PasswordCredentials

      public class HttpBuildCacheCredentials
      extends Object
      implements PasswordCredentials

  Password credentials for a HTTP build cache backend.
  Since:
    3.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpBuildCacheCredentials()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPassword()` Returns the password to use when authenticating to the HTTP build cache.
    `String` | `getUsername()` Returns the user name to use when authenticating to the HTTP build cache.
    `void` | `setPassword(String password)` Sets the password to use when authenticating to the HTTP build cache.
    `void` | `setUsername(String username)` Sets the user name to use when authenticating to the HTTP build cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpBuildCacheCredentials

          public HttpBuildCacheCredentials()

  - ### Method Detail

    - #### getUsername

          @Nullable
          public String getUsername()

      Returns the user name to use when authenticating to the HTTP build cache.
      Specified by:
        `getUsername` in interface `PasswordCredentials`
      Returns:
        The user name. May be null.

    - #### setUsername

          public void setUsername(@Nullable
                                  String username)

      Sets the user name to use when authenticating to the HTTP build cache.
      Specified by:
        `setUsername` in interface `PasswordCredentials`
      Parameters:
        `username` - The user name. May be null.

    - #### getPassword

          @Nullable
          public String getPassword()

      Returns the password to use when authenticating to the HTTP build cache.
      Specified by:
        `getPassword` in interface `PasswordCredentials`
      Returns:
        The password. May be null.

    - #### setPassword

          public void setPassword(@Nullable
                                  String password)

      Sets the password to use when authenticating to the HTTP build cache.
      Specified by:
        `setPassword` in interface `PasswordCredentials`
      Parameters:
        `password` - The password. May be null.